#
# !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
#
#    W   W    A    RRRR   N   N   III  N   N  III  N   N   GGG
#    W   W   A A   R   R  NN  N    I   NN  N   I   NN  N  G   G
#    W   W  A   A  RRRR   N N N    I   N N N   I   N N N  G
#    W W W  AAAAA  R R    N  NN    I   N  NN   I   N  NN  G  GG
#    W W W  A   A  R  R   N   N    I   N   N   I   N   N  G   G
#     W W   A   A  R   R  N   N   III  N   N  III  N   N   GGG
#
# Warning: DO NOT send patches which fix this file. IT IS NOT the original
# source file. This file is GENERATED from the Aegis repository file manifest.
# If you find a bug in this file, it could well be an Aegis bug.
#
# !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
#
# @configure_input@
#
# The configure script generates 2 files:
# 1. This Makefile
# 2. common/config.h
# If you change this Makefile, you may also need to change these files. To see
# what is configured by the configure script, search for @ in the Makefile.in
# file.
#
# If you wish to reconfigure the installations directories it is RECOMMENDED
# that you re-run the configure script.
#
# Use "./configure --help" for a list of options.
#

#
# directory containing the source
#
srcdir = @srcdir@
VPATH = @srcdir@

#
# the name of the install program to use
#
INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@

#
# the name of the compiler to use
#
CC = @CC@

#
# The compiler flags to use
#
CFLAGS = @CFLAGS@

#
# The preprocessor flags to use
#
CPPFLAGS = @CPPFLAGS@

#
# The linker flags to use
#
LDFLAGS = @LDFLAGS@

#
# prefix for installation path
#
prefix = @prefix@
exec_prefix = @exec_prefix@

#
# Where to put the executables.
#
# On a network, this would only be shared between machines of identical
# cpu-hw-os flavour. It can be read-only.
#
# The $(DESTDIR) is for packaging.
#
bindir = $(DESTDIR)@bindir@

#
# Where to put the manuals.
#
# On a network, this would be shared between all machines on the network. It can
# be read-only.
#
# The $(DESTDIR) is for packaging.
#
mandir = $(DESTDIR)@mandir@

# define this to silence ./configure warning
datarootdir = $(DESTDIR)@datarootdir@

#
# Which yacc to use
#
YACC = @YACC@

#
# extra linker options
#
LDFLAGS = @LDFLAGS@

#
# extra libraries required for your system
#
LIBS = @LIBS@

#
# shell to use to run tests and commands
#
SH = @SH@

#
# program used to place index within libraries
#
RANLIB = @RANLIB@
AR = ar

#
# object file name extension (typically "o" or "obj")
#
OBJEXT = @OBJEXT@

#
# command file name extension (typically "" or ".exe")
#
EXEEXT = @EXEEXT@

#
# Set GROFF to the name of the roff command on your system, usually "groff" or
# "troff" or "nroff"
#
GROFF = @GROFF@

#
# Set SOELIM to the name of the roff proprocessor command on your system,
# usually "soelim" or "gsoelim"
#
SOELIM = @SOELIM@

# ---------------------------------------------------------
# You should not need to change anything below this line.

#
# The default target
#
the-default-target: all

common/ac/libintl.$(OBJEXT): common/ac/libintl.c common/ac/libintl.h \
		common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/ac/libintl.c
	mv libintl.$(OBJEXT) $@

common/ac/string.$(OBJEXT): common/ac/string.c common/ac/stddef.h \
		common/ac/stdio.h common/ac/stdlib.h common/ac/string.h \
		common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/ac/string.c
	mv string.$(OBJEXT) $@

common/ac/unistd.$(OBJEXT): common/ac/unistd.c common/ac/sys/types.h \
		common/ac/unistd.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/ac/unistd.c
	mv unistd.$(OBJEXT) $@

common/ac/wchar.$(OBJEXT): common/ac/wchar.c common/ac/stddef.h common/ac/time.h \
		common/ac/wchar.h common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/ac/wchar.c
	mv wchar.$(OBJEXT) $@

common/ac/wctype.$(OBJEXT): common/ac/wctype.c common/ac/ctype.h \
		common/ac/limits.h common/ac/stddef.h common/ac/wctype.h \
		common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/ac/wctype.c
	mv wctype.$(OBJEXT) $@

common/arglex.$(OBJEXT): common/arglex.c common/ac/ctype.h common/ac/stddef.h \
		common/ac/stdlib.h common/ac/string.h common/arglex.h \
		common/attrib_forma.h common/cmalloc.h common/error_intl.h \
		common/language.h common/main.h common/sub.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/arglex.c
	mv arglex.$(OBJEXT) $@

common/cmalloc.$(OBJEXT): common/cmalloc.c common/ac/errno.h common/ac/stddef.h \
		common/ac/stdlib.h common/ac/string.h common/attrib_forma.h \
		common/cmalloc.h common/error.h common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/cmalloc.c
	mv cmalloc.$(OBJEXT) $@

common/compare.$(OBJEXT): common/compare.c common/ac/ctype.h common/ac/libintl.h \
		common/ac/stdarg.h common/ac/stddef.h common/ac/stdio.h \
		common/ac/string.h common/ac/sys/stat.h common/ac/sys/types.h \
		common/attrib_forma.h common/cmalloc.h common/compare.h \
		common/error.h common/error_intl.h common/fcheck.h \
		common/input.h common/input/file.h common/input/file_text.h \
		common/input/hexify.h common/input/quotprinenco.h common/main.h \
		common/str.h common/sub.h common/trace.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/compare.c
	mv compare.$(OBJEXT) $@

common/env.$(OBJEXT): common/env.c common/ac/stddef.h common/ac/stdlib.h \
		common/ac/string.h common/env.h common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/env.c
	mv env.$(OBJEXT) $@

common/error.$(OBJEXT): common/error.c common/ac/stdlib.h common/attrib_forma.h \
		common/error.h common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/error.c
	mv error.$(OBJEXT) $@

common/error_intl.$(OBJEXT): common/error_intl.c common/ac/ctype.h \
		common/ac/limits.h common/ac/stddef.h common/ac/stdio.h \
		common/ac/stdlib.h common/ac/string.h common/ac/time.h \
		common/ac/wchar.h common/ac/wctype.h common/attrib_forma.h \
		common/error.h common/error_intl.h common/language.h \
		common/main.h common/page.h common/quit.h common/sub.h \
		common/wstr.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/error_intl.c
	mv error_intl.$(OBJEXT) $@

common/expand.$(OBJEXT): common/expand.c common/ac/stdlib.h common/expand.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/expand.c
	mv expand.$(OBJEXT) $@

common/fcheck.$(OBJEXT): common/fcheck.c common/ac/stdarg.h common/ac/stddef.h \
		common/ac/stdio.h common/ac/string.h common/attrib_forma.h \
		common/error_intl.h common/fcheck.h common/main.h common/str.h \
		common/sub.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/fcheck.c
	mv fcheck.$(OBJEXT) $@

common/fileio.$(OBJEXT): common/fileio.c common/ac/errno.h common/ac/libintl.h \
		common/ac/stdarg.h common/ac/stddef.h common/ac/stdio.h \
		common/ac/string.h common/ac/sys/types.h common/ac/unistd.h \
		common/attrib_forma.h common/cmalloc.h common/error_intl.h \
		common/fcheck.h common/fileio.h common/main.h common/str.h \
		common/sub.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/fileio.c
	mv fileio.$(OBJEXT) $@

common/help.$(OBJEXT): common/help.c common/ac/stdarg.h common/ac/stddef.h \
		common/ac/stdlib.h common/ac/sys/types.h common/ac/unistd.h \
		common/arglex.h common/attrib_forma.h common/env.h \
		common/error.h common/error_intl.h common/help.h common/libdir.h \
		common/main.h common/quit.h common/str.h common/str_list.h \
		common/sub.h common/trace.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/help.c
	mv help.$(OBJEXT) $@

common/input.$(OBJEXT): common/input.c common/ac/ctype.h common/ac/stddef.h \
		common/ac/stdio.h common/ac/string.h common/attrib_forma.h \
		common/cmalloc.h common/fcheck.h common/input.h \
		common/input/private.h common/main.h common/trace.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/input.c
	mv input.$(OBJEXT) $@

common/input/crlf.$(OBJEXT): common/input/crlf.c common/ac/stddef.h \
		common/attrib_forma.h common/error.h common/input.h \
		common/input/crlf.h common/input/private.h common/main.h \
		common/trace.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/input/crlf.c
	mv crlf.$(OBJEXT) $@

common/input/file.$(OBJEXT): common/input/file.c common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdio.h common/ac/sys/stat.h \
		common/ac/sys/types.h common/ac/unistd.h common/attrib_forma.h \
		common/error.h common/error_intl.h common/fcheck.h \
		common/input.h common/input/file.h common/input/private.h \
		common/input/stdin.h common/main.h common/str.h common/sub.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/input/file.c
	mv file.$(OBJEXT) $@

common/input/file_text.$(OBJEXT): common/input/file_text.c common/ac/stddef.h \
		common/ac/sys/stat.h common/ac/sys/types.h common/input.h \
		common/input/crlf.h common/input/file.h common/input/file_text.h \
		common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/input/file_text.c
	mv file_text.$(OBJEXT) $@

common/input/hexify.$(OBJEXT): common/input/hexify.c common/ac/ctype.h \
		common/ac/stddef.h common/ac/stdio.h common/attrib_forma.h \
		common/error.h common/input.h common/input/hexify.h \
		common/input/private.h common/main.h common/trace.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/input/hexify.c
	mv hexify.$(OBJEXT) $@

common/input/private.$(OBJEXT): common/input/private.c common/input.h \
		common/input/private.h common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/input/private.c
	mv private.$(OBJEXT) $@

common/input/pushba_trans.$(OBJEXT): common/input/pushba_trans.c common/input.h \
		common/input/private.h common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/input/pushba_trans.c
	mv pushba_trans.$(OBJEXT) $@

common/input/quotprinenco.$(OBJEXT): common/input/quotprinenco.c \
		common/ac/stddef.h common/attrib_forma.h common/error.h \
		common/input.h common/input/private.h \
		common/input/quotprinenco.h common/main.h common/trace.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/input/quotprinenco.c
	mv quotprinenco.$(OBJEXT) $@

common/input/stdin.$(OBJEXT): common/input/stdin.c common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdio.h common/ac/sys/stat.h \
		common/ac/sys/types.h common/attrib_forma.h common/error_intl.h \
		common/input.h common/input/private.h common/input/stdin.h \
		common/main.h common/str.h common/sub.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/input/stdin.c
	mv stdin.$(OBJEXT) $@

common/isdir.$(OBJEXT): common/isdir.c common/ac/sys/stat.h \
		common/ac/sys/types.h common/isdir.h common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/isdir.c
	mv isdir.$(OBJEXT) $@

common/language.$(OBJEXT): common/language.c common/ac/libintl.h \
		common/ac/locale.h common/ac/stdlib.h common/attrib_forma.h \
		common/env.h common/error.h common/language.h common/libdir.h \
		common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/language.c
	mv language.$(OBJEXT) $@

common/libdir.$(OBJEXT): common/libdir.c common/libdir.h common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/libdir.c
	mv libdir.$(OBJEXT) $@

common/mem.$(OBJEXT): common/mem.c common/ac/errno.h common/ac/stddef.h \
		common/ac/stdlib.h common/ac/string.h common/attrib_forma.h \
		common/error.h common/main.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/mem.c
	mv mem.$(OBJEXT) $@

common/mprintf.$(OBJEXT): common/mprintf.c common/ac/errno.h common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdio.h common/ac/stdlib.h \
		common/ac/string.h common/attrib_forma.h common/error.h \
		common/main.h common/mprintf.h common/str.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/mprintf.c
	mv mprintf.$(OBJEXT) $@

common/output.$(OBJEXT): common/output.c common/ac/stdarg.h common/ac/stddef.h \
		common/ac/stdlib.h common/attrib_forma.h common/error.h \
		common/main.h common/mprintf.h common/output.h \
		common/output/private.h common/str.h common/trace.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/output.c
	mv output.$(OBJEXT) $@

common/output/file.$(OBJEXT): common/output/file.c common/ac/errno.h \
		common/ac/stdarg.h common/ac/stddef.h common/ac/stdio.h \
		common/ac/stdlib.h common/attrib_forma.h common/error_intl.h \
		common/fcheck.h common/main.h common/output.h \
		common/output/file.h common/output/private.h \
		common/output/stdout.h common/sub.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/output/file.c
	mv file.$(OBJEXT) $@

common/output/private.$(OBJEXT): common/output/private.c common/ac/stdarg.h \
		common/ac/stddef.h common/ac/string.h common/attrib_forma.h \
		common/error.h common/main.h common/output.h \
		common/output/private.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/output/private.c
	mv private.$(OBJEXT) $@

common/output/quotprindeco.$(OBJEXT): common/output/quotprindeco.c \
		common/ac/stdarg.h common/ac/stddef.h common/attrib_forma.h \
		common/main.h common/output.h common/output/private.h \
		common/output/quotprindeco.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/output/quotprindeco.c
	mv quotprindeco.$(OBJEXT) $@

common/output/stdout.$(OBJEXT): common/output/stdout.c common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdio.h common/ac/sys/stat.h \
		common/ac/sys/types.h common/attrib_forma.h common/error_intl.h \
		common/fcheck.h common/main.h common/output.h \
		common/output/private.h common/output/stdout.h common/str.h \
		common/sub.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/output/stdout.c
	mv stdout.$(OBJEXT) $@

common/page.$(OBJEXT): common/page.c common/ac/stdlib.h common/ac/termios.h \
		common/arglex.h common/attrib_forma.h common/error_intl.h \
		common/main.h common/page.h common/sub.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/page.c
	mv page.$(OBJEXT) $@

common/pager.$(OBJEXT): common/pager.c common/ac/libintl.h common/ac/signal.h \
		common/ac/stdio.h common/ac/stdlib.h common/ac/sys/types.h \
		common/ac/unistd.h common/attrib_forma.h common/error_intl.h \
		common/main.h common/pager.h common/sub.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/pager.c
	mv pager.$(OBJEXT) $@

common/quit.$(OBJEXT): common/quit.c common/ac/stdlib.h common/main.h \
		common/quit.h common/undo.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/quit.c
	mv quit.$(OBJEXT) $@

common/str.$(OBJEXT): common/str.c common/ac/ctype.h common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdio.h common/ac/stdlib.h \
		common/ac/string.h common/attrib_forma.h common/error.h \
		common/main.h common/mprintf.h common/str.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/str.c
	mv str.$(OBJEXT) $@

common/str_list.$(OBJEXT): common/str_list.c common/ac/ctype.h \
		common/ac/stdarg.h common/ac/stddef.h common/ac/stdlib.h \
		common/ac/string.h common/ac/time.h common/attrib_forma.h \
		common/main.h common/str.h common/str_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/str_list.c
	mv str_list.$(OBJEXT) $@

common/sub.$(OBJEXT): common/sub.c common/ac/ctype.h common/ac/errno.h \
		common/ac/libintl.h common/ac/limits.h common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdlib.h common/ac/string.h \
		common/ac/wctype.h common/arglex.h common/attrib_forma.h \
		common/error.h common/error_intl.h common/language.h \
		common/main.h common/str.h common/sub.h common/sub/basename.h \
		common/sub/date.h common/sub/dirname.h common/sub/downcase.h \
		common/sub/errno.h common/sub/expr.h common/sub/ident.h \
		common/sub/left.h common/sub/length.h common/sub/plural.h \
		common/sub/private.h common/sub/progname.h common/sub/right.h \
		common/sub/upcase.h common/sub/zero_pad.h common/trace.h \
		common/wstr.h common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub.c
	mv sub.$(OBJEXT) $@

common/sub/basename.$(OBJEXT): common/sub/basename.c common/ac/stddef.h \
		common/ac/stdlib.h common/ac/string.h common/attrib_forma.h \
		common/main.h common/sub.h common/sub/basename.h \
		common/sub/private.h common/trace.h common/wstr.h \
		common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/basename.c
	mv basename.$(OBJEXT) $@

common/sub/date.$(OBJEXT): common/sub/date.c common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdlib.h common/ac/time.h \
		common/attrib_forma.h common/language.h common/main.h \
		common/str.h common/sub.h common/sub/date.h common/sub/private.h \
		common/trace.h common/wstr.h common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/date.c
	mv date.$(OBJEXT) $@

common/sub/dirname.$(OBJEXT): common/sub/dirname.c common/ac/stddef.h \
		common/ac/stdlib.h common/attrib_forma.h common/main.h \
		common/sub.h common/sub/dirname.h common/sub/private.h \
		common/trace.h common/wstr.h common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/dirname.c
	mv dirname.$(OBJEXT) $@

common/sub/downcase.$(OBJEXT): common/sub/downcase.c common/ac/stddef.h \
		common/ac/stdlib.h common/attrib_forma.h common/main.h \
		common/sub.h common/sub/downcase.h common/sub/private.h \
		common/trace.h common/wstr.h common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/downcase.c
	mv downcase.$(OBJEXT) $@

common/sub/errno.$(OBJEXT): common/sub/errno.c common/ac/errno.h common/ac/grp.h \
		common/ac/pwd.h common/ac/stdarg.h common/ac/stddef.h \
		common/ac/stdlib.h common/ac/string.h common/ac/sys/types.h \
		common/ac/unistd.h common/attrib_forma.h common/main.h \
		common/str.h common/sub.h common/sub/errno.h \
		common/sub/private.h common/trace.h common/wstr.h \
		common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/errno.c
	mv errno.$(OBJEXT) $@

common/sub/expr.$(OBJEXT): common/sub/expr.c common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdlib.h common/attrib_forma.h \
		common/main.h common/str.h common/sub.h common/sub/expr.h \
		common/sub/expr_gram.h common/sub/private.h common/trace.h \
		common/wstr.h common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/expr.c
	mv expr.$(OBJEXT) $@

common/sub/expr_gram.yacc.c common/sub/expr_gram.yacc.h: common/sub/expr_gram.y
	$(YACC) -d common/sub/expr_gram.y
	sed -e 's/[yY][yY]/sub_expr_gram_/g' -e '/<stdio.h>/d' -e \
		'/<stdlib.h>/d' -e '/<stddef.h>/d' y.tab.c > \
		common/sub/expr_gram.yacc.c
	sed -e 's/[yY][yY]/sub_expr_gram_/g' -e \
		's/Y_TAB_H/SUB_EXPR_GRAM_TAB_H/g' y.tab.h > \
		common/sub/expr_gram.yacc.h
	rm y.tab.c y.tab.h

common/sub/expr_gram.yacc.$(OBJEXT): common/sub/expr_gram.yacc.c \
		common/ac/libintl.h common/ac/stdarg.h common/ac/stddef.h \
		common/ac/stdio.h common/ac/stdlib.h common/attrib_forma.h \
		common/main.h common/str.h common/sub.h common/sub/expr_gram.h \
		common/sub/expr_lex.h common/sub/private.h common/trace.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/expr_gram.yacc.c
	mv expr_gram.yacc.$(OBJEXT) $@

common/sub/expr_lex.$(OBJEXT): common/sub/expr_lex.c common/ac/stdarg.h \
		common/ac/stddef.h common/attrib_forma.h common/main.h \
		common/str.h common/sub/expr_gram.yacc.h common/sub/expr_lex.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/expr_lex.c
	mv expr_lex.$(OBJEXT) $@

common/sub/ident.$(OBJEXT): common/sub/ident.c common/ac/stddef.h \
		common/ac/stdlib.h common/attrib_forma.h common/main.h \
		common/sub.h common/sub/ident.h common/sub/private.h \
		common/trace.h common/wstr.h common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/ident.c
	mv ident.$(OBJEXT) $@

common/sub/left.$(OBJEXT): common/sub/left.c common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdlib.h common/attrib_forma.h \
		common/main.h common/str.h common/sub.h common/sub/left.h \
		common/sub/private.h common/trace.h common/wstr.h \
		common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/left.c
	mv left.$(OBJEXT) $@

common/sub/length.$(OBJEXT): common/sub/length.c common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdlib.h common/attrib_forma.h \
		common/main.h common/str.h common/sub.h common/sub/length.h \
		common/sub/private.h common/trace.h common/wstr.h \
		common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/length.c
	mv length.$(OBJEXT) $@

common/sub/plural.$(OBJEXT): common/sub/plural.c common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdlib.h common/attrib_forma.h \
		common/main.h common/str.h common/sub.h common/sub/plural.h \
		common/sub/private.h common/trace.h common/wstr.h \
		common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/plural.c
	mv plural.$(OBJEXT) $@

common/sub/progname.$(OBJEXT): common/sub/progname.c common/ac/stddef.h \
		common/ac/stdlib.h common/attrib_forma.h common/main.h \
		common/sub.h common/sub/private.h common/sub/progname.h \
		common/trace.h common/wstr.h common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/progname.c
	mv progname.$(OBJEXT) $@

common/sub/right.$(OBJEXT): common/sub/right.c common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdlib.h common/attrib_forma.h \
		common/main.h common/str.h common/sub.h common/sub/private.h \
		common/sub/right.h common/trace.h common/wstr.h \
		common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/right.c
	mv right.$(OBJEXT) $@

common/sub/upcase.$(OBJEXT): common/sub/upcase.c common/ac/stddef.h \
		common/ac/stdlib.h common/attrib_forma.h common/main.h \
		common/sub.h common/sub/private.h common/sub/upcase.h \
		common/trace.h common/wstr.h common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/upcase.c
	mv upcase.$(OBJEXT) $@

common/sub/zero_pad.$(OBJEXT): common/sub/zero_pad.c common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdlib.h common/attrib_forma.h \
		common/main.h common/str.h common/sub.h common/sub/private.h \
		common/sub/zero_pad.h common/trace.h common/wstr.h \
		common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/sub/zero_pad.c
	mv zero_pad.$(OBJEXT) $@

common/trace.$(OBJEXT): common/trace.c common/ac/errno.h common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdio.h common/ac/string.h \
		common/attrib_forma.h common/error.h common/main.h common/str.h \
		common/trace.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/trace.c
	mv trace.$(OBJEXT) $@

common/undo.$(OBJEXT): common/undo.c common/ac/stdarg.h common/ac/stddef.h \
		common/ac/stdlib.h common/ac/sys/types.h common/ac/unistd.h \
		common/attrib_forma.h common/main.h common/str.h common/undo.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/undo.c
	mv undo.$(OBJEXT) $@

common/version.$(OBJEXT): common/version.c common/ac/stdarg.h common/ac/stddef.h \
		common/ac/stdio.h common/arglex.h common/attrib_forma.h \
		common/error.h common/help.h common/main.h common/quit.h \
		common/str.h common/trace.h common/version.h \
		common/version_stmp.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/version.c
	mv version.$(OBJEXT) $@

common/version_stmp.$(OBJEXT): common/version_stmp.c common/patchlevel.h \
		common/version_stmp.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/version_stmp.c
	mv version_stmp.$(OBJEXT) $@

common/wstr.$(OBJEXT): common/wstr.c common/ac/ctype.h common/ac/limits.h \
		common/ac/stdarg.h common/ac/stddef.h common/ac/stdio.h \
		common/ac/stdlib.h common/ac/string.h common/ac/time.h \
		common/ac/wchar.h common/ac/wctype.h common/attrib_forma.h \
		common/error.h common/language.h common/main.h common/str.h \
		common/trace.h common/wstr.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/wstr.c
	mv wstr.$(OBJEXT) $@

common/wstr_list.$(OBJEXT): common/wstr_list.c common/ac/stdlib.h \
		common/ac/string.h common/main.h common/wstr.h \
		common/wstr_list.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c common/wstr_list.c
	mv wstr_list.$(OBJEXT) $@

etc/Howto.conf: etc/Howto.conf.in config.status
	CONFIG_FILES=$@:etc/Howto.conf.in CONFIG_HEADERS= $(SH) config.status

etc/fhist.png: etc/fhist.png.uue
	uudecode -o etc/fhist.png etc/fhist.png.uue

etc/libdir-h: etc/libdir-h.in config.status
	CONFIG_FILES=$@:etc/libdir-h.in CONFIG_HEADERS= $(SH) config.status

etc/release.ps: etc/release.man etc/version.so lib/en/man1/z_cr.so
	$(GROFF) -s -I. -t -man etc/release.man > $@

fcomp/main.$(OBJEXT): fcomp/main.c common/ac/errno.h common/ac/stddef.h \
		common/ac/stdio.h common/ac/stdlib.h common/ac/string.h \
		common/arglex.h common/attrib_forma.h common/cmalloc.h \
		common/compare.h common/error_intl.h common/expand.h \
		common/fileio.h common/help.h common/isdir.h common/main.h \
		common/quit.h common/sub.h common/version.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fcomp/main.c
	mv main.$(OBJEXT) $@

fhist/breaks.$(OBJEXT): fhist/breaks.c common/ac/signal.h common/ac/sys/types.h \
		common/ac/unistd.h common/main.h fhist/breaks.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fhist/breaks.c
	mv breaks.$(OBJEXT) $@

fhist/diff.$(OBJEXT): fhist/diff.c common/ac/errno.h common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdio.h common/ac/stdlib.h \
		common/ac/string.h common/ac/sys/types.h common/ac/unistd.h \
		common/attrib_forma.h common/cmalloc.h common/compare.h \
		common/error.h common/error_intl.h common/fcheck.h \
		common/fileio.h common/main.h common/str.h common/sub.h \
		fhist/diff.h fhist/extract.h fhist/fhist.h fhist/modlin.h \
		fhist/subroutine.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fhist/diff.c
	mv diff.$(OBJEXT) $@

fhist/extract.$(OBJEXT): fhist/extract.c common/ac/libintl.h common/ac/stdarg.h \
		common/ac/stddef.h common/ac/stdio.h common/ac/string.h \
		common/ac/sys/types.h common/ac/unistd.h common/attrib_forma.h \
		common/cmalloc.h common/compare.h common/error_intl.h \
		common/fcheck.h common/fileio.h common/main.h common/output.h \
		common/output/file.h common/output/quotprindeco.h \
		common/output/stdout.h common/sub.h fhist/extract.h \
		fhist/fhist.h fhist/modlin.h fhist/subroutine.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fhist/extract.c
	mv extract.$(OBJEXT) $@

fhist/list.$(OBJEXT): fhist/list.c common/ac/libintl.h common/ac/stddef.h \
		common/ac/stdio.h common/attrib_forma.h common/cmalloc.h \
		common/compare.h common/error_intl.h common/fcheck.h \
		common/fileio.h common/main.h common/sub.h fhist/fhist.h \
		fhist/list.h fhist/subroutine.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fhist/list.c
	mv list.$(OBJEXT) $@

fhist/main.$(OBJEXT): fhist/main.c common/ac/ctype.h common/ac/dirent.h \
		common/ac/errno.h common/ac/stdarg.h common/ac/stddef.h \
		common/ac/stdio.h common/ac/stdlib.h common/ac/string.h \
		common/ac/sys/stat.h common/ac/sys/types.h common/ac/unistd.h \
		common/arglex.h common/attrib_forma.h common/cmalloc.h \
		common/compare.h common/error_intl.h common/expand.h \
		common/help.h common/isdir.h common/main.h common/quit.h \
		common/str.h common/sub.h common/trace.h common/version.h \
		fhist/breaks.h fhist/diff.h fhist/extract.h fhist/fhist.h \
		fhist/list.h fhist/modlin.h fhist/name.h fhist/prune.h \
		fhist/subroutine.h fhist/update.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fhist/main.c
	mv main.$(OBJEXT) $@

fhist/modlin.$(OBJEXT): fhist/modlin.c common/ac/stddef.h common/ac/stdio.h \
		common/ac/string.h common/ac/sys/stat.h common/ac/sys/types.h \
		common/attrib_forma.h common/cmalloc.h common/compare.h \
		common/error_intl.h common/fcheck.h common/fileio.h \
		common/input.h common/input/file.h common/input/file_text.h \
		common/input/quotprinenco.h common/main.h common/sub.h \
		common/trace.h fhist/fhist.h fhist/modlin.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fhist/modlin.c
	mv modlin.$(OBJEXT) $@

fhist/name.$(OBJEXT): fhist/name.c common/ac/assert.h common/ac/ctype.h \
		common/ac/errno.h common/ac/stddef.h common/ac/stdio.h \
		common/ac/string.h common/attrib_forma.h common/compare.h \
		common/error_intl.h common/fileio.h common/main.h common/sub.h \
		fhist/breaks.h fhist/fhist.h fhist/name.h fhist/subroutine.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fhist/name.c
	mv name.$(OBJEXT) $@

fhist/prune.$(OBJEXT): fhist/prune.c common/ac/stdarg.h common/ac/stddef.h \
		common/ac/stdio.h common/ac/stdlib.h common/ac/string.h \
		common/attrib_forma.h common/compare.h common/error_intl.h \
		common/fcheck.h common/fileio.h common/main.h common/str.h \
		common/sub.h fhist/breaks.h fhist/fhist.h fhist/prune.h \
		fhist/subroutine.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fhist/prune.c
	mv prune.$(OBJEXT) $@

fhist/subroutine.$(OBJEXT): fhist/subroutine.c common/ac/ctype.h \
		common/ac/errno.h common/ac/stdarg.h common/ac/stddef.h \
		common/ac/stdio.h common/ac/string.h common/ac/sys/types.h \
		common/ac/unistd.h common/attrib_forma.h common/cmalloc.h \
		common/compare.h common/error_intl.h common/fcheck.h \
		common/fileio.h common/isdir.h common/main.h common/str.h \
		common/sub.h fhist/fhist.h fhist/subroutine.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fhist/subroutine.c
	mv subroutine.$(OBJEXT) $@

fhist/update.$(OBJEXT): fhist/update.c common/ac/ctype.h common/ac/errno.h \
		common/ac/pwd.h common/ac/stdarg.h common/ac/stddef.h \
		common/ac/stdio.h common/ac/string.h common/ac/sys/stat.h \
		common/ac/sys/types.h common/ac/time.h common/ac/unistd.h \
		common/attrib_forma.h common/cmalloc.h common/compare.h \
		common/error_intl.h common/fcheck.h common/fileio.h \
		common/input.h common/input/file.h common/input/file_text.h \
		common/input/quotprinenco.h common/main.h common/str.h \
		common/sub.h common/trace.h common/undo.h fhist/breaks.h \
		fhist/fhist.h fhist/modlin.h fhist/subroutine.h fhist/update.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fhist/update.c
	mv update.$(OBJEXT) $@

fmerge/main.$(OBJEXT): fmerge/main.c common/ac/errno.h common/ac/stddef.h \
		common/ac/stdio.h common/ac/stdlib.h common/ac/string.h \
		common/arglex.h common/attrib_forma.h common/cmalloc.h \
		common/compare.h common/error_intl.h common/expand.h \
		common/fileio.h common/help.h common/main.h common/quit.h \
		common/sub.h common/version.h fmerge/work.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fmerge/main.c
	mv main.$(OBJEXT) $@

fmerge/work.$(OBJEXT): fmerge/work.c common/ac/libintl.h common/ac/stddef.h \
		common/ac/stdio.h common/ac/string.h common/attrib_forma.h \
		common/cmalloc.h common/compare.h common/error_intl.h \
		common/fcheck.h common/fileio.h common/main.h common/sub.h \
		fmerge/work.h
	$(CC) $(CPPFLAGS) $(CFLAGS) -I. -c fmerge/work.c
	mv work.$(OBJEXT) $@

lib/en/man1/.mandir: lib/en/.mandir
	-$(INSTALL) -m 0755 -d $(mandir)/man1
	@-test -d $(mandir)/man1 && touch $@
	@sleep 1

lib/en/.mandir:
	-$(INSTALL) -m 0755 -d $(mandir)
	@-test -d $(mandir) && touch $@
	@sleep 1

$(mandir)/man1/fcomp.1: lib/en/man1/fcomp.1 etc/version.so \
		lib/en/man1/o__rules.so lib/en/man1/o_help.so \
		lib/en/man1/o_version.so lib/en/man1/z_binary.so \
		lib/en/man1/z_cr.so lib/en/man1/z_exit.so lib/en/man1/z_fne.so \
		lib/en/man1/z_ref.so lib/en/man1/.mandir
	$(SOELIM) -I. -Ilib/en/man1 lib/en/man1/fcomp.1 > \
		lib/en/man1/fcomp.1.tmp
	$(INSTALL_DATA) lib/en/man1/fcomp.1.tmp $@
	@rm -f lib/en/man1/fcomp.1.tmp

$(mandir)/man1/fhist.1: lib/en/man1/fhist.1 etc/version.so \
		lib/en/man1/o__rules.so lib/en/man1/o_help.so \
		lib/en/man1/o_version.so lib/en/man1/z_binary.so \
		lib/en/man1/z_cr.so lib/en/man1/z_exit.so lib/en/man1/z_fne.so \
		lib/en/man1/z_ref.so lib/en/man1/.mandir
	$(SOELIM) -I. -Ilib/en/man1 lib/en/man1/fhist.1 > \
		lib/en/man1/fhist.1.tmp
	$(INSTALL_DATA) lib/en/man1/fhist.1.tmp $@
	@rm -f lib/en/man1/fhist.1.tmp

$(mandir)/man1/fhist_lic.1: lib/en/man1/fhist_lic.1 lib/en/man1/.mandir
	$(SOELIM) -I. -Ilib/en/man1 lib/en/man1/fhist_lic.1 > \
		lib/en/man1/fhist_lic.1.tmp
	$(INSTALL_DATA) lib/en/man1/fhist_lic.1.tmp $@
	@rm -f lib/en/man1/fhist_lic.1.tmp

$(mandir)/man1/fmerge.1: lib/en/man1/fmerge.1 etc/version.so \
		lib/en/man1/o__rules.so lib/en/man1/o_help.so \
		lib/en/man1/o_version.so lib/en/man1/z_binary.so \
		lib/en/man1/z_cr.so lib/en/man1/z_exit.so lib/en/man1/z_fne.so \
		lib/en/man1/z_ref.so lib/en/man1/.mandir
	$(SOELIM) -I. -Ilib/en/man1 lib/en/man1/fmerge.1 > \
		lib/en/man1/fmerge.1.tmp
	$(INSTALL_DATA) lib/en/man1/fmerge.1.tmp $@
	@rm -f lib/en/man1/fmerge.1.tmp

t0001a: test/00/t0001a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0001a.sh

t0002a: test/00/t0002a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0002a.sh

t0003a: test/00/t0003a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0003a.sh

t0004a: test/00/t0004a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0004a.sh

t0005a: test/00/t0005a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0005a.sh

t0006a: test/00/t0006a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0006a.sh

t0007a: test/00/t0007a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0007a.sh

t0008a: test/00/t0008a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0008a.sh

t0009a: test/00/t0009a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0009a.sh

t0010a: test/00/t0010a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0010a.sh

t0011a: test/00/t0011a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0011a.sh

t0012a: test/00/t0012a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0012a.sh

t0013a: test/00/t0013a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0013a.sh

t0014a: test/00/t0014a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0014a.sh

t0015a: test/00/t0015a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0015a.sh

t0016a: test/00/t0016a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0016a.sh

t0017a: test/00/t0017a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0017a.sh

t0018a: test/00/t0018a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0018a.sh

t0019a: test/00/t0019a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0019a.sh

t0020a: test/00/t0020a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0020a.sh

t0021a: test/00/t0021a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0021a.sh

t0022a: test/00/t0022a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0022a.sh

t0023a: test/00/t0023a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0023a.sh

t0024a: test/00/t0024a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0024a.sh

t0025a: test/00/t0025a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0025a.sh

t0026a: test/00/t0026a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0026a.sh

t0027a: test/00/t0027a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0027a.sh

t0028a: test/00/t0028a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0028a.sh

t0029a: test/00/t0029a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0029a.sh

t0030a: test/00/t0030a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0030a.sh

t0031a: test/00/t0031a.sh all-bin
	PATH=`pwd`/bin:$$PATH $(SH) test/00/t0031a.sh

common_obj = common/ac/libintl.$(OBJEXT) common/ac/string.$(OBJEXT) \
		common/ac/unistd.$(OBJEXT) common/ac/wchar.$(OBJEXT) \
		common/ac/wctype.$(OBJEXT) common/arglex.$(OBJEXT) \
		common/cmalloc.$(OBJEXT) common/compare.$(OBJEXT) \
		common/env.$(OBJEXT) common/error.$(OBJEXT) \
		common/error_intl.$(OBJEXT) common/expand.$(OBJEXT) \
		common/fcheck.$(OBJEXT) common/fileio.$(OBJEXT) \
		common/help.$(OBJEXT) common/input.$(OBJEXT) \
		common/input/crlf.$(OBJEXT) common/input/file.$(OBJEXT) \
		common/input/file_text.$(OBJEXT) common/input/hexify.$(OBJEXT) \
		common/input/private.$(OBJEXT) \
		common/input/pushba_trans.$(OBJEXT) \
		common/input/quotprinenco.$(OBJEXT) common/input/stdin.$(OBJEXT) \
		common/isdir.$(OBJEXT) common/language.$(OBJEXT) \
		common/libdir.$(OBJEXT) common/mem.$(OBJEXT) \
		common/mprintf.$(OBJEXT) common/output.$(OBJEXT) \
		common/output/file.$(OBJEXT) common/output/private.$(OBJEXT) \
		common/output/quotprindeco.$(OBJEXT) \
		common/output/stdout.$(OBJEXT) common/page.$(OBJEXT) \
		common/pager.$(OBJEXT) common/quit.$(OBJEXT) \
		common/str.$(OBJEXT) common/str_list.$(OBJEXT) \
		common/sub.$(OBJEXT) common/sub/basename.$(OBJEXT) \
		common/sub/date.$(OBJEXT) common/sub/dirname.$(OBJEXT) \
		common/sub/downcase.$(OBJEXT) common/sub/errno.$(OBJEXT) \
		common/sub/expr.$(OBJEXT) common/sub/expr_gram.yacc.$(OBJEXT) \
		common/sub/expr_lex.$(OBJEXT) common/sub/ident.$(OBJEXT) \
		common/sub/left.$(OBJEXT) common/sub/length.$(OBJEXT) \
		common/sub/plural.$(OBJEXT) common/sub/progname.$(OBJEXT) \
		common/sub/right.$(OBJEXT) common/sub/upcase.$(OBJEXT) \
		common/sub/zero_pad.$(OBJEXT) common/trace.$(OBJEXT) \
		common/undo.$(OBJEXT) common/version.$(OBJEXT) \
		common/version_stmp.$(OBJEXT) common/wstr.$(OBJEXT) \
		common/wstr_list.$(OBJEXT)

common/libcommon.a: $(common_obj)
	rm -f $@
	$(AR) qc $@ $(common_obj)
	$(RANLIB) $@

fcomp_obj = fcomp/main.$(OBJEXT)

bin/fcomp$(EXEEXT): $(fcomp_obj) common/libcommon.a .bin
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $(fcomp_obj) common/libcommon.a \
		$(LDFLAGS) $(LIBS)

$(bindir)/fcomp$(EXEEXT): bin/fcomp$(EXEEXT) .bindir
	$(INSTALL_PROGRAM) bin/fcomp$(EXEEXT) $@

fhist_obj = fhist/breaks.$(OBJEXT) fhist/diff.$(OBJEXT) fhist/extract.$(OBJEXT) \
		fhist/list.$(OBJEXT) fhist/main.$(OBJEXT) fhist/modlin.$(OBJEXT) \
		fhist/name.$(OBJEXT) fhist/prune.$(OBJEXT) \
		fhist/subroutine.$(OBJEXT) fhist/update.$(OBJEXT)

bin/fhist$(EXEEXT): $(fhist_obj) common/libcommon.a .bin
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $(fhist_obj) common/libcommon.a \
		$(LDFLAGS) $(LIBS)

$(bindir)/fhist$(EXEEXT): bin/fhist$(EXEEXT) .bindir
	$(INSTALL_PROGRAM) bin/fhist$(EXEEXT) $@

fmerge_obj = fmerge/main.$(OBJEXT) fmerge/work.$(OBJEXT)

bin/fmerge$(EXEEXT): $(fmerge_obj) common/libcommon.a .bin
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $(fmerge_obj) common/libcommon.a \
		$(LDFLAGS) $(LIBS)

$(bindir)/fmerge$(EXEEXT): bin/fmerge$(EXEEXT) .bindir
	$(INSTALL_PROGRAM) bin/fmerge$(EXEEXT) $@

all: all-bin all-doc

all-bin: bin/fcomp$(EXEEXT) bin/fhist$(EXEEXT) bin/fmerge$(EXEEXT)

all-doc: etc/release.ps

.bin:
	-mkdir bin
	-chmod 0755 bin
	@-test -d bin && touch $@
	@sleep 1

.bindir:
	-$(INSTALL) -m 0755 -d $(bindir)
	@-test -d $(bindir) && touch $@
	@sleep 1

check: sure

sure: t0001a t0002a t0003a t0004a t0005a t0006a t0007a t0008a t0009a t0010a \
		t0011a t0012a t0013a t0014a t0015a t0016a t0017a t0018a t0019a \
		t0020a t0021a t0022a t0023a t0024a t0025a t0026a t0027a t0028a \
		t0029a t0030a t0031a
	@echo Passed All Tests

clean-obj:
	rm -f .bin .bindir common/ac/libintl.$(OBJEXT)
	rm -f common/ac/string.$(OBJEXT) common/ac/unistd.$(OBJEXT)
	rm -f common/ac/wchar.$(OBJEXT) common/ac/wctype.$(OBJEXT)
	rm -f common/arglex.$(OBJEXT) common/cmalloc.$(OBJEXT)
	rm -f common/compare.$(OBJEXT) common/env.$(OBJEXT)
	rm -f common/error.$(OBJEXT) common/error_intl.$(OBJEXT)
	rm -f common/expand.$(OBJEXT) common/fcheck.$(OBJEXT)
	rm -f common/fileio.$(OBJEXT) common/help.$(OBJEXT)
	rm -f common/input.$(OBJEXT) common/input/crlf.$(OBJEXT)
	rm -f common/input/file.$(OBJEXT) common/input/file_text.$(OBJEXT)
	rm -f common/input/hexify.$(OBJEXT) common/input/private.$(OBJEXT)
	rm -f common/input/pushba_trans.$(OBJEXT)
	rm -f common/input/quotprinenco.$(OBJEXT) common/input/stdin.$(OBJEXT)
	rm -f common/isdir.$(OBJEXT) common/language.$(OBJEXT)
	rm -f common/libcommon.a common/libdir.$(OBJEXT) common/mem.$(OBJEXT)
	rm -f common/mprintf.$(OBJEXT) common/output.$(OBJEXT)
	rm -f common/output/file.$(OBJEXT) common/output/private.$(OBJEXT)
	rm -f common/output/quotprindeco.$(OBJEXT)
	rm -f common/output/stdout.$(OBJEXT) common/page.$(OBJEXT)
	rm -f common/pager.$(OBJEXT) common/quit.$(OBJEXT) common/str.$(OBJEXT)
	rm -f common/str_list.$(OBJEXT) common/sub.$(OBJEXT)
	rm -f common/sub/basename.$(OBJEXT) common/sub/date.$(OBJEXT)
	rm -f common/sub/dirname.$(OBJEXT) common/sub/downcase.$(OBJEXT)
	rm -f common/sub/errno.$(OBJEXT) common/sub/expr.$(OBJEXT)
	rm -f common/sub/expr_gram.yacc.$(OBJEXT) common/sub/expr_gram.yacc.c
	rm -f common/sub/expr_gram.yacc.h common/sub/expr_lex.$(OBJEXT)
	rm -f common/sub/ident.$(OBJEXT) common/sub/left.$(OBJEXT)
	rm -f common/sub/length.$(OBJEXT) common/sub/plural.$(OBJEXT)
	rm -f common/sub/progname.$(OBJEXT) common/sub/right.$(OBJEXT)
	rm -f common/sub/upcase.$(OBJEXT) common/sub/zero_pad.$(OBJEXT)
	rm -f common/trace.$(OBJEXT) common/undo.$(OBJEXT)
	rm -f common/version.$(OBJEXT) common/version_stmp.$(OBJEXT)
	rm -f common/wstr.$(OBJEXT) common/wstr_list.$(OBJEXT) core
	rm -f etc/fhist.png fcomp/main.$(OBJEXT) fhist/breaks.$(OBJEXT)
	rm -f fhist/diff.$(OBJEXT) fhist/extract.$(OBJEXT) fhist/list.$(OBJEXT)
	rm -f fhist/main.$(OBJEXT) fhist/modlin.$(OBJEXT) fhist/name.$(OBJEXT)
	rm -f fhist/prune.$(OBJEXT) fhist/subroutine.$(OBJEXT)
	rm -f fhist/update.$(OBJEXT) fmerge/main.$(OBJEXT) fmerge/work.$(OBJEXT)
	rm -f lib/en/.mandir lib/en/man1/.mandir y.output y.tab.c y.tab.h

clean: clean-obj
	rm -f bin/fcomp$(EXEEXT) bin/fhist$(EXEEXT) bin/fmerge$(EXEEXT)
	rm -f etc/release.ps

distclean: clean distclean-files distclean-directories

distclean-files:
	rm -f Makefile common/config.h config.cache config.log config.status
	rm -f etc/Howto.conf etc/libdir-h

distclean-directories:
	rm -rf bin

install-bin: $(bindir)/fcomp$(EXEEXT) $(bindir)/fhist$(EXEEXT) \
		$(bindir)/fmerge$(EXEEXT)

install-man: $(mandir)/man1/fcomp.1 $(mandir)/man1/fhist.1 \
		$(mandir)/man1/fhist_lic.1 $(mandir)/man1/fmerge.1

install: install-bin install-man
